const assetsCDN = {
  // webpack build externals
  externals: {
  },
  css: [
  ],
  js: [

  ]
}

const vueConfig = {
  configureWebpack: {
   externals: assetsCDN.externals
  },
  // chainWebpack: (config) => {
  //   config.plugin('html').tap(args => {
  //     args[0].cdn = assetsCDN
  //     return args
  //   })
  // },
  css: {
    loaderOptions: {
      less: {
        lessOptions: {
          modifyVars: {
            'primary-color': '#1DA57A',
            'link-color': '#1DA57A',
            'border-radius-base': '2px',
          },
          javascriptEnabled: true,
        },
      },
    },
  },
  devServer: {
    // development server port 8000
    port: 8000,
    proxy: {
      '/webroot': {
        target: 'http://192.168.10.49:8302',
        changeOrigin: true,
        pathRewrite: {
          '^/webroot': ''
        }
      }
    }
  },
}

module.exports = vueConfig
